> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/partners/partners.md).

# Partners

## List all partners

> Returns a list of all partners sorted by creation date (oldest first).

```json
{"openapi":"3.1.0","info":{"title":"Brand Partners API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Partner":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the partner."},"Name":{"type":"string","description":"The display name of the partner."},"Description":{"type":"string","description":"A description of the partner."},"Website":{"type":"string","format":"uri","description":"The partner's website URL."},"State":{"type":"string","description":"The current state of the partner's account."},"Address":{"type":"object","description":"The partner's address.","properties":{"Country":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code."},"Address1":{"type":"string","description":"Address line 1."},"City":{"type":"string","description":"City, district, suburb, town, or village."},"State":{"type":"string","description":"State or region."},"PostalCode":{"type":"string","description":"ZIP or postal code."}}},"Phone":{"$ref":"#/components/schemas/Phone","description":"The partner's contact phone number."},"Currency":{"type":"string","description":"Three-letter ISO 4217 currency code for the partner's payouts."},"Timezone":{"type":"string","description":"The timezone for the partner's account."},"IndirectTax":{"$ref":"#/components/schemas/IndirectTax","description":"The partner's indirect tax registration details."},"PartnerType":{"type":"string","description":"Whether the partner is a direct or marketplace partner."},"PromotionalMethods":{"type":"array","description":"The partner's promotional methods.","items":{"$ref":"#/components/schemas/PromotionalMethod"}},"PromotionalCountries":{"type":"array","description":"Country codes where the partner promotes.","items":{"type":"string"}},"Properties":{"type":"array","description":"The partner's promotional properties (websites, apps, social accounts).","items":{"$ref":"#/components/schemas/PromotionalProperty"}},"PromotionalCategories":{"type":"array","description":"Categories the partner promotes in.","items":{"type":"string"}},"Programs":{"type":"array","description":"The programs the partner is joined to.","items":{"$ref":"#/components/schemas/PartnerProgram"}},"Contacts":{"type":"array","description":"Contacts at the partner organization.","items":{"$ref":"#/components/schemas/PartnerContact"}},"LinkedAccounts":{"type":"array","description":"Other accounts linked to this partner.","items":{"$ref":"#/components/schemas/LinkedAccount"}},"PartnerValues":{"type":"object","description":"Custom tracking values associated with the partner.","properties":{"Value1":{"type":"string","description":"Custom tracking value 1."},"Value2":{"type":"string","description":"Custom tracking value 2."},"Value3":{"type":"string","description":"Custom tracking value 3."}}},"AccountManager":{"type":"string","description":"The account manager assigned to this partner."},"DateCreated":{"type":"string","format":"date-time","description":"The date and time the partner account was created."},"DateLastUpdated":{"type":"string","format":"date-time","description":"The date and time the partner account was last updated."},"CreatedBy":{"type":"string","description":"The user who created the partner account."},"LastUpdatedBy":{"type":"string","description":"The user who last updated the partner account."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this partner in the impact.com API."}}},"Phone":{"type":"object","properties":{"Country":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code for the phone number."},"Number":{"type":"string","description":"The phone number."}}},"IndirectTax":{"type":"object","properties":{"Country":{"type":"string","description":"Country code for the tax registration."},"Number":{"type":"string","description":"Indirect tax registration number (e.g., VAT, GST)."}}},"PromotionalMethod":{"type":"object","properties":{"Type":{"type":"string","description":"The type of promotional method (e.g., EMAIL, SEARCH, CONTENT)."},"IsPrimary":{"type":"boolean","description":"Whether this is the partner's primary promotional method."}}},"PromotionalProperty":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the promotional property."},"Name":{"type":"string","description":"Display name of the promotional property."},"Type":{"type":"string","description":"The category of promotional property.","enum":["WEBSITE","MOBILE","SOCIAL"]},"Platform":{"type":"string","description":"The specific platform (e.g., FACEBOOK, TWITTER)."},"Url":{"type":"string","format":"uri","description":"URL of the promotional property."},"Doe":{"type":"string","format":"date-time","description":"The date and time the property was created (date of entry)."},"Dlu":{"type":"string","format":"date-time","description":"The date and time the property was last updated."}}},"PartnerProgram":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier of the program."},"Name":{"type":"string","description":"The display name of the program."},"ContractId":{"type":"string","description":"The unique identifier of the partner's contract on this program."},"ContractName":{"type":"string","description":"The display name of the contract."},"JoinDate":{"type":"string","format":"date-time","description":"The date and time the partner joined the program."},"ExpirationDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the partner's contract expires."},"Groups":{"type":"array","description":"Partner groups the partner is a member of within this program.","items":{"type":"object","properties":{"GroupId":{"type":"string","description":"The unique identifier of the partner group."},"GroupName":{"type":"string","description":"The display name of the partner group."}}}}}},"PartnerContact":{"type":"object","properties":{"FirstName":{"type":"string","description":"The contact's first name."},"LastName":{"type":"string","description":"The contact's last name."},"Labels":{"type":"array","description":"Labels tagged on the contact.","items":{"type":"string"}},"Email":{"type":"string","format":"email","description":"The contact's email address."},"Phones":{"type":"array","description":"The contact's phone numbers.","items":{"type":"object","properties":{"Type":{"type":"string","description":"The type of phone number.","enum":["CELL","WORK"]},"Country":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code for the phone number."},"Number":{"type":"string","description":"The phone number."}}}},"IsPrimary":{"type":"boolean","description":"Whether this is the partner's primary contact."}}},"LinkedAccount":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier of the linked account."},"Reason":{"type":"string","description":"The reason the accounts are linked."},"Date":{"type":"string","format":"date-time","description":"The date and time the accounts were linked."}}}}},"paths":{"/Advertisers/{AccountSID}/MediaPartners":{"get":{"operationId":"listPartners","tags":["Partners"],"summary":"List all partners","description":"Returns a list of all partners sorted by creation date (oldest first).","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"Id","in":"query","description":"Filter by one or more specific partner IDs (comma-separated).","schema":{"type":"string"}},{"name":"CampaignId","in":"query","description":"Filter partners joined to a specific campaign.","schema":{"type":"integer"}},{"name":"GroupId","in":"query","description":"Filter by a specific partner group ID.","schema":{"type":"integer"}},{"name":"Country","in":"query","description":"Filter by country enum value. Possible values: `US`, `UK`, `CANADA`, `AUSTRALIA`, `GERMANY`, `FRANCE`, `AFGHANISTAN`, `ALAND ISLANDS`, `ALBANIA`, `ALGERIA`, `AMERICANSAMOA`, `ANDORRA`, `ANGOLA`, `ANGUILLA`, `ANTARCTICA`, `ANTIGUABARBUDA`, `ARGENTINA`, `ARMENIA`, `ARUBA`, `AUSTRIA`, `AZERBAIJAN`, `BAHAMAS`, `BAHRAIN`, `BANGLADESH`, `BARBADOS`, `BELARUS`, `BELGIUM`, `BELIZE`, `BENIN`, `BERMUDA`, `BHUTAN`, `BOLIVIA`, `BOSNIAHERZEGOVINA`, `BOTSWANA`, `BRAZIL`, `BRITISHINDIANOCEANTERRITORY`, `BRUNEIDARUSSALAM`, `BULGARIA`, `BURKINAFASO`, `BURUNDI`, `CAMBODIA`, `CAMEROON`, `CAPVERDE`, `CAYMANISLANDS`, `CENTRALAFRICANREPUBLIC`, `CHAD`, `CHILE`, `CHINA`, `CHRISTMASISLAND`, `COCOSISLANDS`, `COLOMBIA`, `COMOROS`, `CONGO`, `DEMOCRATICREPUBLICCONGO`, `COOKISLANDS`, `COSTARICA`, `IVORYCOAST`, `CROATIA`, `CUBA`, `CYPRUS`, `CZECHREPUBLIC`, `DENMARK`, `DIJIBOUTI`, `DOMINICA`, `DOMINICANREPUBLIC`, `ECUADOR`, `EGYPT`, `ELSALVADOR`, `EQUATORIALGUINEA`, `ERITREA`, `ESTONIA`, `ETHIOPIA`, `FALKLANDISLANDS`, `FAROEISLANDS`, `FIJI`, `FINLAND`, `FRENCHGUIANA`, `FRENCHPOLYNESIA`, `FRENCHSOUTHERNTERRITORIES`, `GABON`, `GAMBIA`, `GEORGIA`, `GHANA`, `GIBRALTAR`, `GREECE`, `GREENLAND`, `GRENADA`, `GUADELOUPE`, `GUAM`, `GUATEMALA`, `GUERNSEY`, `GUINEA`, `GUINEABISSAU`, `GUYANA`, `HAITI`, `VATICAN`, `HONDURAS`, `HONGKONG`, `HUNGARY`, `ICELAND`, `INDIA`, `INDONESIA`, `IRAN`, `IRAQ`, `IRELAND`, `ISLE OF MAN`, `ISRAEL`, `ITALY`, `JAMAICA`, `JAPAN`, `JERSEY`, `JORDAN`, `KAZAKHSTAN`, `KENYA`, `KIRIBATI`, `SOUTHKOREA`, `KUWAIT`, `KYRGYZSTAN`, `LAOS`, `LATVIA`, `LEBANON`, `LESOTHO`, `LIBERIA`, `LIBYA`, `LICHTENSTEIN`, `LITHUANIA`, `LUXEMBOURG`, `MACAO`, `MACEDONIA`, `MADAGASCAR`, `MALAWI`, `MALAYSIA`, `MALDIVES`, `MALI`, `MALTA`, `MARSHALLISLANDS`, `MARTINIQUE`, `MAURITANIA`, `MAURITIUS`, `MAYOTTE`, `MEXICO`, `MICRONESIA`, `MOLDOVA`, `MONACO`, `MONGOLIA`, `MONTENEGRO`, `MONTSERRAT`, `MOROCCO`, `MOZAMBIQUE`, `MYANMAR`, `NAMIBIA`, `NAURU`, `NEPAL`, `NETHERLANDS`, `NETHERLANDSANTILLES`, `NEWCALEDONIA`, `NEWZEALAND`, `NICARAGUA`, `NIGER`, `NIGERIA`, `NIUE`, `NORFOLKISLAND`, `NORTHKOREA`, `NORTHERNMARIANAISLANDS`, `NORWAY`, `OMAN`, `PAKISTAN`, `PALAU`, `PALESTINIANTERRITORY`, `PANAMA`, `PAPUANEWGUINEA`, `PARAGUAY`, `PERU`, `PHILIPPINES`, `PITCAIRN`, `POLAND`, `PORTUGAL`, `PUERTORICO`, `QATAR`, `REUNION`, `ROMANIA`, `RUSSIA`, `RWANDA`, `SAINTHELENA`, `SAINTKITTSNEVIS`, `SAINTLUCIA`, `SAINTPIERREMIQUELON`, `SAINTVINCENTGRENADINES`, `SAMOA`, `SANMARINO`, `SAOTOME`, `SAUDIARABIA`, `SENEGAL`, `SERBIA`, `YUGOSLAVIA`, `SEYCHELLES`, `SIERRALEONE`, `SINGAPORE`, `SLOVAKIA`, `SLOVENIA`, `SOLOMONISLANDS`, `SOMALIA`, `SOUTHAFRICA`, `SPAIN`, `SRILANKA`, `SUDAN`, `SURINAME`, `SVALBARDJANMAYEN`, `SWAZILAND`, `SWEDEN`, `SWITZERLAND`, `SYRIA`, `TAIWAN`, `TAJIKISTAN`, `TANZANIA`, `THAILAND`, `TIMOR`, `TOGO`, `TOKELAU`, `TONGA`, `TRINIDADTOBAGO`, `TUNISIA`, `TURKEY`, `TURKMENISTAN`, `TURKSCAICOSISLANDS`, `TUVALU`, `UGANDA`, `UKRAINE`, `UAE`, `UNITED STATES MINOR OUTLYING ISLANDS`, `URUGUAY`, `UZBEKISTAN`, `VANUATU`, `VENEZUELA`, `VIETNAM`, `BRITISHVIRGINISLANDS`, `USVIRGINISLANDS`, `WALLISFUTUNA`, `WESTERNSAHARA`, `YEMEN`, `ZAMBIA`, `ZIMBABWE`.","schema":{"type":"string"}},{"name":"startDate","in":"query","description":"Filter by DateLastUpdated after this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"endDate","in":"query","description":"Filter by DateLastUpdated before this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"State","in":"query","description":"Filter by partner account state.","schema":{"type":"string","enum":["ACTIVE","EXPIRED","PENDING","DECLINED","SUSPENDED","DEACTIVATED","CLOSING","CLOSED","NOT_APPLICABLE"]}},{"name":"RelationshipState","in":"query","description":"Filter by the partner's current relationship with your program. Possible values:\n- `ACTIVE` — The partner has an active relationship with you.\n- `INACTIVE` — The partner doesn't have a contractual relationship with you.","schema":{"type":"string"}}],"responses":{"200":{"description":"A list of partner objects.","content":{"application/json":{"schema":{"type":"object","properties":{"Partners":{"type":"array","description":"The list of partner objects.","items":{"$ref":"#/components/schemas/Partner"}}}}}}}}}}}}
```

## Create a partner

> Creates a new direct partner account and joins them to your program. \
> Note that passwords must be at least 8 characters with one digit and one symbol.<br>

```json
{"openapi":"3.1.0","info":{"title":"Brand Partners API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"CreatePartnerRequest":{"type":"object","required":["AccountName","Website","AddressLine1","City","PostalCode","Country","PhoneCountry","PhoneNumber","PrimaryPromotionalMethod","Username","FirstName","LastName","Password","EmailAddress","TemplateTermsId","Currency"],"properties":{"AccountName":{"type":"string","description":"The display name for the partner's account."},"Website":{"type":"string","format":"uri","description":"The partner's website URL."},"AddressLine1":{"type":"string","description":"Address line 1."},"City":{"type":"string","description":"City for the partner's address."},"PostalCode":{"type":"string","description":"ZIP or postal code."},"Country":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code. Possible values: `US`, `UK`, `CANADA`, `AUSTRALIA`, `GERMANY`, `FRANCE`, `AFGHANISTAN`, `ALAND ISLANDS`, `ALBANIA`, `ALGERIA`, `AMERICANSAMOA`, `ANDORRA`, `ANGOLA`, `ANGUILLA`, `ANTARCTICA`, `ANTIGUABARBUDA`, `ARGENTINA`, `ARMENIA`, `ARUBA`, `AUSTRIA`, `AZERBAIJAN`, `BAHAMAS`, `BAHRAIN`, `BANGLADESH`, `BARBADOS`, `BELARUS`, `BELGIUM`, `BELIZE`, `BENIN`, `BERMUDA`, `BHUTAN`, `BOLIVIA`, `BOSNIAHERZEGOVINA`, `BOTSWANA`, `BRAZIL`, `BRITISHINDIANOCEANTERRITORY`, `BRUNEIDARUSSALAM`, `BULGARIA`, `BURKINAFASO`, `BURUNDI`, `CAMBODIA`, `CAMEROON`, `CAPVERDE`, `CAYMANISLANDS`, `CENTRALAFRICANREPUBLIC`, `CHAD`, `CHILE`, `CHINA`, `CHRISTMASISLAND`, `COCOSISLANDS`, `COLOMBIA`, `COMOROS`, `CONGO`, `DEMOCRATICREPUBLICCONGO`, `COOKISLANDS`, `COSTARICA`, `IVORYCOAST`, `CROATIA`, `CUBA`, `CYPRUS`, `CZECHREPUBLIC`, `DENMARK`, `DIJIBOUTI`, `DOMINICA`, `DOMINICANREPUBLIC`, `ECUADOR`, `EGYPT`, `ELSALVADOR`, `EQUATORIALGUINEA`, `ERITREA`, `ESTONIA`, `ETHIOPIA`, `FALKLANDISLANDS`, `FAROEISLANDS`, `FIJI`, `FINLAND`, `FRENCHGUIANA`, `FRENCHPOLYNESIA`, `FRENCHSOUTHERNTERRITORIES`, `GABON`, `GAMBIA`, `GEORGIA`, `GHANA`, `GIBRALTAR`, `GREECE`, `GREENLAND`, `GRENADA`, `GUADELOUPE`, `GUAM`, `GUATEMALA`, `GUERNSEY`, `GUINEA`, `GUINEABISSAU`, `GUYANA`, `HAITI`, `VATICAN`, `HONDURAS`, `HONGKONG`, `HUNGARY`, `ICELAND`, `INDIA`, `INDONESIA`, `IRAN`, `IRAQ`, `IRELAND`, `ISLE OF MAN`, `ISRAEL`, `ITALY`, `JAMAICA`, `JAPAN`, `JERSEY`, `JORDAN`, `KAZAKHSTAN`, `KENYA`, `KIRIBATI`, `SOUTHKOREA`, `KUWAIT`, `KYRGYZSTAN`, `LAOS`, `LATVIA`, `LEBANON`, `LESOTHO`, `LIBERIA`, `LIBYA`, `LICHTENSTEIN`, `LITHUANIA`, `LUXEMBOURG`, `MACAO`, `MACEDONIA`, `MADAGASCAR`, `MALAWI`, `MALAYSIA`, `MALDIVES`, `MALI`, `MALTA`, `MARSHALLISLANDS`, `MARTINIQUE`, `MAURITANIA`, `MAURITIUS`, `MAYOTTE`, `MEXICO`, `MICRONESIA`, `MOLDOVA`, `MONACO`, `MONGOLIA`, `MONTENEGRO`, `MONTSERRAT`, `MOROCCO`, `MOZAMBIQUE`, `MYANMAR`, `NAMIBIA`, `NAURU`, `NEPAL`, `NETHERLANDS`, `NETHERLANDSANTILLES`, `NEWCALEDONIA`, `NEWZEALAND`, `NICARAGUA`, `NIGER`, `NIGERIA`, `NIUE`, `NORFOLKISLAND`, `NORTHKOREA`, `NORTHERNMARIANAISLANDS`, `NORWAY`, `OMAN`, `PAKISTAN`, `PALAU`, `PALESTINIANTERRITORY`, `PANAMA`, `PAPUANEWGUINEA`, `PARAGUAY`, `PERU`, `PHILIPPINES`, `PITCAIRN`, `POLAND`, `PORTUGAL`, `PUERTORICO`, `QATAR`, `REUNION`, `ROMANIA`, `RUSSIA`, `RWANDA`, `SAINTHELENA`, `SAINTKITTSNEVIS`, `SAINTLUCIA`, `SAINTPIERREMIQUELON`, `SAINTVINCENTGRENADINES`, `SAMOA`, `SANMARINO`, `SAOTOME`, `SAUDIARABIA`, `SENEGAL`, `SERBIA`, `YUGOSLAVIA`, `SEYCHELLES`, `SIERRALEONE`, `SINGAPORE`, `SLOVAKIA`, `SLOVENIA`, `SOLOMONISLANDS`, `SOMALIA`, `SOUTHAFRICA`, `SPAIN`, `SRILANKA`, `SUDAN`, `SURINAME`, `SVALBARDJANMAYEN`, `SWAZILAND`, `SWEDEN`, `SWITZERLAND`, `SYRIA`, `TAIWAN`, `TAJIKISTAN`, `TANZANIA`, `THAILAND`, `TIMOR`, `TOGO`, `TOKELAU`, `TONGA`, `TRINIDADTOBAGO`, `TUNISIA`, `TURKEY`, `TURKMENISTAN`, `TURKSCAICOSISLANDS`, `TUVALU`, `UGANDA`, `UKRAINE`, `UAE`, `UNITED STATES MINOR OUTLYING ISLANDS`, `URUGUAY`, `UZBEKISTAN`, `VANUATU`, `VENEZUELA`, `VIETNAM`, `BRITISHVIRGINISLANDS`, `USVIRGINISLANDS`, `WALLISFUTUNA`, `WESTERNSAHARA`, `YEMEN`, `ZAMBIA`, `ZIMBABWE`."},"PhoneCountry":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code for the phone number."},"PhoneNumber":{"type":"string","description":"The partner's contact phone number."},"PrimaryPromotionalMethod":{"type":"string","description":"The partner's primary method of promoting.","enum":["EMAIL","SEARCH","LOYALTY","COUPON","SYNDICATION_BLOG_NETWORKS","CPA_NETWORK","MOBILE","CONTENT","SHOPPING","SOCIAL_MEDIA_INFLUENCER","SERVICE_PROVIDER","CONSUMER_SOFTWARE","INCENTIVIZED","OFFLINE","OTHER","CASHBACK"]},"Username":{"type":"string","description":"The username for the partner's primary user account."},"FirstName":{"type":"string","description":"First name of the primary contact."},"LastName":{"type":"string","description":"Last name of the primary contact."},"Password":{"type":"string","format":"password","description":"Password for the primary user account. Must be at least 8 characters with one digit and one symbol."},"EmailAddress":{"type":"string","format":"email","description":"Email address of the primary contact."},"TemplateTermsId":{"type":"integer","description":"The unique ID of the contract template to assign to this partner."},"OrganizationType":{"type":"string","description":"Organization type for the partner."},"CountryState":{"type":"string","description":"State or region within the country."},"Currency":{"type":"string","description":"Three-letter ISO 4217 currency code."},"Timezone":{"type":"string","description":"The partner's timezone."},"Description":{"type":"string","description":"A description of the partner."}}},"PartnerStatusResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected partner."}}}}},"paths":{"/Advertisers/{AccountSID}/MediaPartners":{"post":{"operationId":"createPartner","tags":["Partners"],"summary":"Create a partner","description":"Creates a new direct partner account and joins them to your program. \nNote that passwords must be at least 8 characters with one digit and one symbol.\n","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/CreatePartnerRequest"}}}},"responses":{"200":{"description":"The partner account was created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerStatusResponse"}}}}}}}}}
```

## GET /Advertisers/{AccountSID}/MediaPartners/{PartnerId}

> Retrieve a partner

```json
{"openapi":"3.1.0","info":{"title":"Brand Partners API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Partner":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the partner."},"Name":{"type":"string","description":"The display name of the partner."},"Description":{"type":"string","description":"A description of the partner."},"Website":{"type":"string","format":"uri","description":"The partner's website URL."},"State":{"type":"string","description":"The current state of the partner's account."},"Address":{"type":"object","description":"The partner's address.","properties":{"Country":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code."},"Address1":{"type":"string","description":"Address line 1."},"City":{"type":"string","description":"City, district, suburb, town, or village."},"State":{"type":"string","description":"State or region."},"PostalCode":{"type":"string","description":"ZIP or postal code."}}},"Phone":{"$ref":"#/components/schemas/Phone","description":"The partner's contact phone number."},"Currency":{"type":"string","description":"Three-letter ISO 4217 currency code for the partner's payouts."},"Timezone":{"type":"string","description":"The timezone for the partner's account."},"IndirectTax":{"$ref":"#/components/schemas/IndirectTax","description":"The partner's indirect tax registration details."},"PartnerType":{"type":"string","description":"Whether the partner is a direct or marketplace partner."},"PromotionalMethods":{"type":"array","description":"The partner's promotional methods.","items":{"$ref":"#/components/schemas/PromotionalMethod"}},"PromotionalCountries":{"type":"array","description":"Country codes where the partner promotes.","items":{"type":"string"}},"Properties":{"type":"array","description":"The partner's promotional properties (websites, apps, social accounts).","items":{"$ref":"#/components/schemas/PromotionalProperty"}},"PromotionalCategories":{"type":"array","description":"Categories the partner promotes in.","items":{"type":"string"}},"Programs":{"type":"array","description":"The programs the partner is joined to.","items":{"$ref":"#/components/schemas/PartnerProgram"}},"Contacts":{"type":"array","description":"Contacts at the partner organization.","items":{"$ref":"#/components/schemas/PartnerContact"}},"LinkedAccounts":{"type":"array","description":"Other accounts linked to this partner.","items":{"$ref":"#/components/schemas/LinkedAccount"}},"PartnerValues":{"type":"object","description":"Custom tracking values associated with the partner.","properties":{"Value1":{"type":"string","description":"Custom tracking value 1."},"Value2":{"type":"string","description":"Custom tracking value 2."},"Value3":{"type":"string","description":"Custom tracking value 3."}}},"AccountManager":{"type":"string","description":"The account manager assigned to this partner."},"DateCreated":{"type":"string","format":"date-time","description":"The date and time the partner account was created."},"DateLastUpdated":{"type":"string","format":"date-time","description":"The date and time the partner account was last updated."},"CreatedBy":{"type":"string","description":"The user who created the partner account."},"LastUpdatedBy":{"type":"string","description":"The user who last updated the partner account."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this partner in the impact.com API."}}},"Phone":{"type":"object","properties":{"Country":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code for the phone number."},"Number":{"type":"string","description":"The phone number."}}},"IndirectTax":{"type":"object","properties":{"Country":{"type":"string","description":"Country code for the tax registration."},"Number":{"type":"string","description":"Indirect tax registration number (e.g., VAT, GST)."}}},"PromotionalMethod":{"type":"object","properties":{"Type":{"type":"string","description":"The type of promotional method (e.g., EMAIL, SEARCH, CONTENT)."},"IsPrimary":{"type":"boolean","description":"Whether this is the partner's primary promotional method."}}},"PromotionalProperty":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the promotional property."},"Name":{"type":"string","description":"Display name of the promotional property."},"Type":{"type":"string","description":"The category of promotional property.","enum":["WEBSITE","MOBILE","SOCIAL"]},"Platform":{"type":"string","description":"The specific platform (e.g., FACEBOOK, TWITTER)."},"Url":{"type":"string","format":"uri","description":"URL of the promotional property."},"Doe":{"type":"string","format":"date-time","description":"The date and time the property was created (date of entry)."},"Dlu":{"type":"string","format":"date-time","description":"The date and time the property was last updated."}}},"PartnerProgram":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier of the program."},"Name":{"type":"string","description":"The display name of the program."},"ContractId":{"type":"string","description":"The unique identifier of the partner's contract on this program."},"ContractName":{"type":"string","description":"The display name of the contract."},"JoinDate":{"type":"string","format":"date-time","description":"The date and time the partner joined the program."},"ExpirationDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the partner's contract expires."},"Groups":{"type":"array","description":"Partner groups the partner is a member of within this program.","items":{"type":"object","properties":{"GroupId":{"type":"string","description":"The unique identifier of the partner group."},"GroupName":{"type":"string","description":"The display name of the partner group."}}}}}},"PartnerContact":{"type":"object","properties":{"FirstName":{"type":"string","description":"The contact's first name."},"LastName":{"type":"string","description":"The contact's last name."},"Labels":{"type":"array","description":"Labels tagged on the contact.","items":{"type":"string"}},"Email":{"type":"string","format":"email","description":"The contact's email address."},"Phones":{"type":"array","description":"The contact's phone numbers.","items":{"type":"object","properties":{"Type":{"type":"string","description":"The type of phone number.","enum":["CELL","WORK"]},"Country":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code for the phone number."},"Number":{"type":"string","description":"The phone number."}}}},"IsPrimary":{"type":"boolean","description":"Whether this is the partner's primary contact."}}},"LinkedAccount":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier of the linked account."},"Reason":{"type":"string","description":"The reason the accounts are linked."},"Date":{"type":"string","format":"date-time","description":"The date and time the accounts were linked."}}}}},"paths":{"/Advertisers/{AccountSID}/MediaPartners/{PartnerId}":{"get":{"operationId":"getPartner","tags":["Partners"],"summary":"Retrieve a partner","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"PartnerId","in":"path","required":true,"description":"The unique identifier for the partner.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single partner object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Partner"}}}}}}}}}
```

## Update a partner

> Updates specific partner tracking values (MPValue1, MPValue2, MPValue3).

```json
{"openapi":"3.1.0","info":{"title":"Brand Partners API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"PartnerStatusResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected partner."}}}}},"paths":{"/Advertisers/{AccountSID}/MediaPartners/{PartnerId}":{"put":{"operationId":"updatePartner","tags":["Partners"],"summary":"Update a partner","description":"Updates specific partner tracking values (MPValue1, MPValue2, MPValue3).","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"PartnerId","in":"path","required":true,"description":"The unique identifier for the partner to update.","schema":{"type":"integer"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"MPValue1":{"type":"string","description":"Custom tracking value 1."},"MPValue2":{"type":"string","description":"Custom tracking value 2."},"MPValue3":{"type":"string","description":"Custom tracking value 3."}}}}}},"responses":{"200":{"description":"The partner was updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerStatusResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/partners/partners.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
